// MATH.INC sample (simple) animation.
// Literally, a sine wave!

// Render with the clock going from 0 to 1.  Best with 30-40 frames, but as usual, 
// the more the better.

// - Sean O'Malley, March 1999

// I borrowed this camera system from Moray.  I've gotten used to having Z going up, and it
// makes sense to use z = f(x,y) ... Doesn't it? :)
camera {
  location  <      0.000,     -20.000,      15.000>
  direction <        0.0,         0.0,      1.8317>
  sky       <    0.00000,     0.00000,     1.00000>
  up        <        0.0,         0.0,         1.0>
  right     <    1.33333,         0.0,         0.0>
  look_at   <      0.000,       0.000,       0.000>
}

light_source {
  <0.000, -20.000, 20.000>
  color rgb <1.000, 1.000, 0.950> * 1.5
}

#declare PlaneWhite = 
   material { texture { pigment { color rgb 1  } } }

// Variables for MATH.INC, and then some.
                     
#declare changer = clock * 8;   // Change the number to change the rippling speed.

#declare minx = -4 + changer;
#declare maxx = 4 + changer;
#declare miny = -4 + changer;
#declare maxy = 4 + changer;
#declare graph_size = 15;

// Change this to false to see the difference!

#declare smooth_graph = true;

// This is the macro that tells MATH.INC what to do.

#macro domath(a,b)
 sin(a+b)
#end

#include "math.inc"

object { math_object material { PlaneWhite } scale 1.5 }

plane {
  z,0
  material {
    PlaneWhite
  }
  no_shadow
  translate  -10.0*z
}
